> For the complete documentation index, see [llms.txt](https://docs.developer.singpass.gov.sg/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developer.singpass.gov.sg/docs/products/singpass-myinfo/scheduled-downtimes.md).

# Scheduled Downtimes

Due to the scheduled downtimes of Myinfo upstream systems, financial data from CPF Board and IRAS, and FIN user data from MOM are unavailable via Myinfo, Myinfo business, Verify and SGFinDex API at the following times:

* **CPFB**
  * On the Wednesday right after the 3rd Sunday of the month, from 0000hrs - 0400hrs
  * Every 1st Sunday of the month from 0000hrs to 0800hrs
  * Every 4th Sunday of the month from 0000hrs to 0500hrs (with effect from April 2026)
  * If the 1<sup>st</sup> or the 2<sup>nd</sup> day of the month falls on the 1<sup>st</sup> Sunday, the maintenance will be on the 2<sup>nd</sup> and 4<sup>th</sup> Sunday instead.
* **IRAS**
  * Every Wednesday, 0200hrs to 0600hrs
  * Every Sunday, 0200hrs to 0830hrs
* **MOM**
  * Every 4th Sunday of the month from 0000hrs to 0600hrs

***

### What to Expect During Downtime

During these maintenance periods, users will encounter an error response when attempting to retrieve the affected data. No data will be returned.

The specific error response that partners will receive will differ depending on their client version.

The error response for Myinfo v3/v4 clients is:

```
{
"statusCode": 500,
"message": "Internal server error - 540"
}
```

For Myinfo v5 clients, you will receive an error of status code 502, with the following response body:

```
{
"id":"872527df-1c6b-4d65-be27-b2b9642a8c92",
"error":"upstream_dependency_error",
"error_description":"An error has occurred.",
"trace_id":"1-68c39359-03322d4443ca5f0c353c7beb"
}
```

Partners are expected to handle the above error responses in their internal systems and display a corresponding user-friendly error message to their end-users. This ensures a smooth user experience even during downtimes.

Please note that Myinfo, Myinfo Business, and Verify APIs will remain available for all other data items not affected by the maintenance.

Similarly, SGFinDex services will be unable to retrieve government-related data (from CPF and IRAS) during these times. However, SGFinDex will still be available for non-government data from financial institutions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.developer.singpass.gov.sg/docs/products/singpass-myinfo/scheduled-downtimes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
